> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/sdk/models/moveassistancecallstatus.md).

# MoveAssistanceCallStatus

{% tabs %}
{% tab title="Android" %}

```kotlin
enum class MoveAssistanceCallStatus {
    SUCCESS,
    INITIALIZATION_ERROR,
    LOCATION_ERROR, // Deprecated with v2.3+
    NETWORK_ERROR
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
enum MoveAssistanceCallStatus {
    case success
    case initializationError
    case locationError // Deprecated with v2.4.0+
    case networkError
}
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:movesdk/io/dolphin/move/move_assistance_call_status.dart';// Some code
```

```dart
enum MoveAssistanceCallStatus {
    success,
    initializationError,
    networkError,
}
```

{% endtab %}
{% endtabs %}

<table data-header-hidden><thead><tr><th width="270"></th><th></th></tr></thead><tbody><tr><td><strong>MoveAssistanceCallStatus</strong></td><td></td></tr><tr><td>success</td><td>The call was successfully sent</td></tr><tr><td>initializationError</td><td>The call could not be sent because MoveDetectionService.AssistanceCall is unauthorised. (see <a href="/pages/-MaaWY9OqkZbnWjtjqNT">MoveConfig</a>)</td></tr><tr><td><del>locationError</del></td><td>The call could not be sent due to missing location. <em><strong>Deprecated with v2.3+</strong></em></td></tr><tr><td>networkError</td><td>The call could not be sent due to network issues.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/moveassistancecallstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
